Summary:	Tree.hh - a STL-like generic container class for n-ary trees
Summary(pl.UTF-8):	Tree.hh - uniwersalna klasa kontenerowa do obsługi drzew n-klasowych
Name:		tree.hh
Version:	3.1
Release:	1
License:	GPL v3
Group:		Development/Libraries
#Source0Download: http://tree.phi-sci.com/download.html
Source0:	http://tree.phi-sci.com/tree-%{version}.tar.gz
# Source0-md5:	559c033dcc60cb9ebaa0bb1b7ecaa678
URL:		http://tree.phi-sci.com/
Requires:	libstdc++-devel >= 6:4.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tree.hh library for C++ provides an STL-like container class for
n-ary trees, templated over the data stored at the nodes. Various
types of iterators are provided (post-order, pre-order, and others).
Where possible the access methods are compatible with the STL or
alternative algorithms are available.

%description -l pl.UTF-8
Biblioteka Tree.hh dla C++ udostępnia uniwersalną klasę kontenerową
dla drzew n-klasowych zbliżoną w obsłudze do standardowych kontenerów
biblioteki STL. Dostępne są różne rodzaje iteratorów (post-order,
pre-order i inne).

%prep
%setup -q -n tree-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

cp -p src/tree{,_util}.hh $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/*.html doc/*.css doc/*.png
%{_includedir}/tree.hh
%{_includedir}/tree_util.hh
%changelog
* Sun Feb 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tree.hh.git;a=log;h=master

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> d1abb4e
- new URLs, updated to 3.1 (with move constructor, so require C++ 11)

* Fri Apr 13 2012 Jakub Bogusz <qboosh@pld-linux.org> bce7be0
- verbose include files

* Wed Apr 11 2012 Paweł Sikora <pluto@pld-linux.org> 130afd1
- updated to 2.81.

* Fri Mar 06 2009 duddits <duddits@pld-linux.org> 1890954
- up to 2.62

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fb0ee48
- release 2

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c3e642e
- up to 2.51

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 24f5742
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 234e2ec
- converted to UTF-8

* Sat Mar 11 2006 Paweł Sikora <pluto@pld-linux.org> cc79095
- updated to 2.03.
- license fixed (GPLv2 with no option for any later versions).

* Thu Aug 18 2005 Jakub Bogusz <qboosh@pld-linux.org> ea8a9d6
- more pl, simplified setup

* Mon Aug 15 2005 Paweł Sikora <pluto@pld-linux.org> 188633b
- pl.

* Mon Aug 15 2005 Paweł Sikora <pluto@pld-linux.org> 1a12e42
- initial release.

